Bug 211711 - Review Request: ren - tool to rename many files at once according to search and replacement patterns
Review Request: ren - tool to rename many files at once according to search ...
Status: CLOSED NEXTRELEASE
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: Patrice Dumas
Fedora Package Reviews List
:
: 196434 (view as bug list)
Depends On:
Blocks: FE-ACCEPT
  Show dependency treegraph
 
Reported: 2006-10-20 19:58 EDT by manuel wolfshant
Modified: 2007-11-30 17:11 EST (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2006-10-26 14:38:24 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description manuel wolfshant 2006-10-20 19:58:48 EDT
Spec URL: http://wdl.lug.ro/linux/rpms/ren/ren.spec
SRPM URL: http://wdl.lug.ro/linux/rpms/ren/ren-1.0-11.src.rpm
Description: Whereas mv can rename (as opposed to move) only one file at a time,
ren can rename many files according to search and replacement
patterns, ala VMS and MS-DOS (but better). ren checks for replacement name
collisions and handles rename chains (1 goes to 2 goes to 3 etc.)
gracefully.

This is a duplicate of already reviewed and approved bug https://bugzilla.redhat.com/bugzilla/show_bug.cgi?id=196434 , resubmitted in order to change the reporter.
Comment 1 Patrice Dumas 2006-10-21 03:38:20 EDT
The src.rpm isn't reachable. 

A comment, still not a blocker is that you should split your changelog
entry at 80 columns. Can be done after importing to cvs.
Comment 2 Patrice Dumas 2006-10-21 03:43:02 EDT
*** Bug 196434 has been marked as a duplicate of this bug. ***
Comment 3 Patrice Dumas 2006-10-22 04:54:14 EDT
* rmlint is silent
* licence is not explicitely set, however since it comes from
  a post on usenet with explicit permission to reuse and redistribute
  this may be considered public domain.
* follow guidelines
* match upstream
245453453a8bd1c0bf7d03880b97d632  ren-1.0.tar.gz
* %files right

APPROVED
Comment 4 manuel wolfshant 2006-10-25 05:23:28 EDT
sucessfully built on target fedora-development-extras. Waiting for FC-5 and FC-6
branches to be created.


patrice, thank you for your guidance.
Comment 5 manuel wolfshant 2006-10-26 04:16:02 EDT
Built for devel, FC-[56].  Thanks!
Comment 6 Patrice Dumas 2006-10-26 11:56:19 EDT
You're welcomed...

You should close the bug with resolution NEXTRELEASE, now.

Note You need to log in before you can comment on or make changes to this bug.